%define name		remuco-server
%define version		0.4.3
%define release		%mkrel 1

##################################### Header ##############################################################
Summary:	a system to remotely control music player software with bluetooth enabled mobile devices
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-source-%{version}.tar.bz2
Patch0:		install-path.patch
License:	GPL
Group:		System/Servers
URL:		http://remuco.sourceforge.net/index.php/Remuco
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glibc-devel libbluez-devel libid3tag0-devel libpython2.5-devel python-dcop
BuildRequires:	libxmms1-devel libxmms2_0-devel libamarok-devel librhythmbox0

##################################### Description ##############################################################
%description
Remuco is a system to remotely control music player software with bluetooth
enabled mobile devices.

With Remuco you can control your favourite music player (playback, song
rating, ...) and read music player state information (playback, playlist, ...)
on your mobile device. You can use Remuco simultaneously with two or more
mobile devices - that's a nice feature for a party when you want to set up a DJ
crew ;).

You can use Remuco with all mobile devices with a Bluetooth adapter and Java
Microediton (JavaME) support (MIDP 2.0).

This is the Remuco server. The Remuco server runs on a computer to interact
between a Remuco client (running on a mobile device) and a music player to
control.

##################################### Prep, build and install ###################################################
%prep
%setup -q -n remuco-server-source-0.4.3
%patch0 -p1

%build
make PP=xmms
make PP=xmms2
make PP=rhythmbox

%install
rm -rf %{buildroot}
make PP=xmms install
make PP=xmms2 install
make PP=rhythmbox install

%clean
rm -rf %{buildroot}

##################################### Files ####################################################################
%files
%defattr(-,root,root,0755)
%{_bindir}/remuco-xmms
%{_bindir}/remuco-xmms2
%{_bindir}/remuco-rhythmbox

##################################### Changelog ###############################################################
%changelog
* Wed Feb 20 2008 Oliver Burger <rpm@mandrivauser.de> 0.4.3-1mud2008.0
- initial package for Mandrivalinux 2008.0